#ifndef MSP_AL_DEVICE_H_
#define MSP_AL_DEVICE_H_

#include <string>
#ifdef __APPLE__
#include <OpenAL/alc.h>
#else
#include <AL/alc.h>
#endif

namespace Msp {
namespace AL {

class Device
{
private:
	ALCdevice *dev;

public:
	Device();
	Device(const std::string &);
	~Device();

	ALCdevice *get_device() { return dev; }
};

} // namespace AL
} // namespace Msp

#endif
