#ifndef MSP_AL_FORMAT_H_
#define MSP_AL_FORMAT_H_

#include "al.h"

namespace Msp {
namespace AL {

enum Format
{
	MONO8    = AL_FORMAT_MONO8,
	MONO16   = AL_FORMAT_MONO16,
	STEREO8  = AL_FORMAT_STEREO8,
	STEREO16 = AL_FORMAT_STEREO16
};

Format create_format(unsigned, unsigned);

unsigned get_sample_size(Format);
unsigned get_n_channels(Format);
unsigned get_unit_size(Format);

} // namespace AL
} // namespace Msp

#endif
